wm/jwm - The NetBSD Packages Collection

Lightweight window manager with virtual desktops

JWM is a light-weight window manager for the X11 Window System.
It provides a menu, taskbar, key binding, system notification tray,
pager, a dock, and simple customizations.  JWM is written in C and
uses only Xlib and the shape extension, libXpm and (optionally)
libpng. It can support some MWM, GNOME, and WM Spec hints.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/pkgconf

Runtime dependencies

converters/fribidi converters/fribidi graphics/jpeg graphics/png graphics/librsvg fonts/Xft2 fonts/Xft2 x11/libXpm graphics/jpeg graphics/png graphics/librsvg fonts/Xft2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfjwm-2.3.7nb11.tgz
NetBSD 8.0earmv7hfjwm-2.3.7nb11.tgz
NetBSD 8.0powerpcjwm-2.3.7nb10.tgz
NetBSD 8.0x86_64jwm-2.3.7nb10.tgz
NetBSD 8.0x86_64jwm-2.3.7nb11.tgz
NetBSD 9.0aarch64jwm-2.3.7nb11.tgz
NetBSD 9.0aarch64jwm-2.3.7nb10.tgz
NetBSD 9.0aarch64jwm-2.3.7nb11.tgz
NetBSD 9.0alphajwm-2.3.7nb11.tgz
NetBSD 9.0alphajwm-2.3.7nb11.tgz
NetBSD 9.0earmv6hfjwm-2.3.7nb11.tgz
NetBSD 9.0earmv6hfjwm-2.3.7nb11.tgz
NetBSD 9.0earmv6hfjwm-2.3.7nb11.tgz
NetBSD 9.0earmv7hfjwm-2.3.7nb11.tgz
NetBSD 9.0earmv7hfjwm-2.3.7nb11.tgz
NetBSD 9.0earmv7hfjwm-2.3.7nb11.tgz
NetBSD 9.0i386jwm-2.3.7nb10.tgz
NetBSD 9.0i386jwm-2.3.7nb11.tgz
NetBSD 9.0powerpcjwm-2.3.7nb11.tgz
NetBSD 9.0sparc64jwm-2.3.7nb10.tgz
NetBSD 9.0x86_64jwm-2.3.7nb11.tgz
NetBSD 9.0x86_64jwm-2.3.7nb11.tgz
NetBSD 9.0x86_64jwm-2.3.7nb11.tgz
NetBSD 9.0x86_64jwm-2.3.7nb10.tgz
NetBSD 9.0x86_64jwm-2.3.7nb11.tgz
NetBSD 9.0x86_64jwm-2.3.7nb11.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

debug
Enable debugging facilities in the package.
fribidi
Enable BIDI support using fribidi.
jpeg
Enable JPEG support.
png
Enable PNG support.
svg
Enable SVG support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.